CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
CommandMessenger.GeneralStrategy Class Reference

Base of general strategy. More...

Inheritance diagram for CommandMessenger.GeneralStrategy:

List of all members.

## Public Member Functions
virtual void | OnEnqueue ()
| GenerAdd command (strategy) to command queue.
virtual void | OnDequeue ()
| Remove this command (strategy) from command queue.
## Properties
ListQueue< CommandStrategy > | CommandQueue`[get, set]`
| Gets or sets the command queue.

## Detailed Description

Base of general strategy.

## Member Function Documentation

virtual void CommandMessenger.GeneralStrategy.OnDequeue | ( |  | ) | `[virtual]`

Remove this command (strategy) from command queue.

Reimplemented in CommandMessenger.StaleGeneralStrategy.

virtual void CommandMessenger.GeneralStrategy.OnEnqueue | ( |  | ) | `[virtual]`

GenerAdd command (strategy) to command queue.

## Property Documentation

ListQueue<CommandStrategy> CommandMessenger.GeneralStrategy.CommandQueue`[get, set]`

Gets or sets the command queue.

A Queue of commands.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/GeneralStrategy.cs